<script setup lang="ts" name="EncryptionManagement">
import { ref } from 'vue'
import list from './list.vue'


const widget = {
  list: list
}

const page = ref('list')
const params = ref({})

function onChangePage(val: string, param?: any) {
  page.value = val
  params.value = param ?? {}
}
</script>

<template>
  <component :is="widget[page]" v-bind="params" @page="onChangePage" />
</template>
